Package: vino
Version: 2.8.1-1.1
Severity: minor
Tags: patch
For redirecting stdout and stderr the postinst script uses
the redirection operator &> which is only available in bash. When
/bin/sh is not a symlink to bash (I use dash), the stderr is not
redirected and I can see this error message:
kill: 18: Usage: kill [-s sigspec | -signum | -sigspec] [pid | job]...
or
kill -l [exitstatus]
This is just a cosmetic bug, it does not prevent the installation
of the package.
I recommend this patch:
--- debian/vino.postinst.orig 2005-03-23 09:07:37.593006840 +0100
+++ debian/vino.postinst 2005-03-23 09:08:25.477727256 +0100
@@ -4,7 +4,7 @@ set -e
case "$1" in
configure)
- kill -HUP `pidof bonobo-activation-server` &>/dev/null || true
+ kill -HUP `pidof bonobo-activation-server` >/dev/null 2>&1 || true
;;
abort-upgrade|abort-remove|abort-deconfigure)
Bye,
Michal
-- System Information:
Debian Release: 3.1
APT prefers testing
APT policy: (600, 'testing'), (300, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.8-2-686-smp
Locale: LANG=cs_CZ.UTF-8, LC_CTYPE=cs_CZ.UTF-8 (charmap=UTF-8)
Versions of packages vino depends on:
ii gconf2 2.8.1-4 GNOME configuration database syste
ii libart-2.0-2 2.3.17-1 Library of functions for 2D graphi
ii libatk1.0-0 1.8.0-4 The ATK accessibility toolkit
ii libaudiofile0 0.2.6-5 Open-source version of SGI's audio
ii libbonobo2-0 2.8.1-2 Bonobo CORBA interfaces library
ii libbonoboui2-0 2.8.1-2 The Bonobo UI library
ii libc6 2.3.2.ds1-20 GNU C Library: Shared libraries an
ii libesd0 0.2.35-2 Enlightened Sound Daemon - Shared
ii libgconf2-4 2.8.1-4 GNOME configuration database syste
ii libgcrypt11 1.2.0-4 LGPL Crypto library - runtime libr
ii libglade2-0 1:2.4.2-2 library to load .glade files at ru
ii libglib2.0-0 2.6.3-1 The GLib library of C routines
ii libgnome-keyring0 0.4.1-1 GNOME keyring services library
ii libgnome2-0 2.8.1-2 The GNOME 2 library - runtime file
ii libgnomecanvas2-0 2.8.0-1 A powerful object-oriented display
ii libgnomeui-0 2.8.1-3 The GNOME 2 libraries (User Interf
ii libgnomevfs2-0 2.8.4-2 The GNOME virtual file-system libr
ii libgnutls11 1.0.16-9 GNU TLS library - runtime library
ii libgpg-error0 1.0-1 library for common error values an
ii libgtk2.0-0 2.6.2-4 The GTK+ graphical user interface
ii libice6 4.3.0.dfsg.1-10 Inter-Client Exchange library
ii libjpeg62 6b-9 The Independent JPEG Group's JPEG
ii liborbit2 1:2.10.5-0.1 libraries for ORBit2 - a CORBA ORB
ii libpango1.0-0 1.8.1-1 Layout and rendering of internatio
ii libpopt0 1.7-5 lib for parsing cmdline parameters
ii libsm6 4.3.0.dfsg.1-10 X Window System Session Management
ii libtasn1-2 0.2.10-3 Manage ASN.1 structures (runtime)
ii libx11-6 4.3.0.dfsg.1-10 X Window System protocol client li
ii libxext6 4.3.0.dfsg.1-10 X Window System miscellaneous exte
ii libxml2 2.6.16-3 GNOME XML library
ii libxtst6 4.3.0.dfsg.1-10 X Window System event recording an
ii xlibs 4.3.0.dfsg.1-10 X Keyboard Extension (XKB) configu
ii zlib1g 1:1.2.2-3 compression library - runtime
-- no debconf information
--
To UNSUBSCRIBE, email to [EMAIL PROTECTED]
with a subject of "unsubscribe". Trouble? Contact [EMAIL PROTECTED]